Public APIAPI ReferencePurges
List an app's purge rules and history.
Beta API
The /v1 API contract may change, including breaking changes without compatibility aliases.
GET
/v1/apps/{appId}/purgesUse limit and cursor to browse current rules and creation history.
Authorization
bearerAuth AuthorizationBearer <token>
Use an access token obtained by logging in or exchanging an API token. First exchange an ntro_ API token for an access token through the login server.
In: header
Path Parameters
appId*string
Query Parameters
cursor?string
limit?integer
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/apps/string/purges"{ "items": [ { "createdAt": "string", "id": "string", "kind": "string", "mode": "string", "tags": [ "string" ], "value": "string" } ], "nextCursor": "string", "rules": [ { "createdAt": "string", "expiresAt": "string", "id": "string", "kind": "string", "pattern": "string" } ]}